#
# Conditional build:
%bcond_with	xmlrpc		# enable XmlRpc functionality
%bcond_without	unicode		# unicode version of wxGTK2
#
Summary:	CHM viewer for UNIX
Summary(pl.UTF-8):	Przeglądarka CHM dla Uniksów
Name:		xchm
Version:	1.23
Release:	3
License:	GPL v2+
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/xchm/%{name}-%{version}.tar.gz
# Source0-md5:	486d029bd81071a2d04e7181909b1602
Source1:	%{name}.desktop
Patch0:		wxWidgets3.patch
URL:		http://xchm.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	chmlib-devel
BuildRequires:	gettext-devel >= 0.14.3
BuildRequires:	wxGTK2-%{?with_unicode:unicode-}devel >= 2.8.0
%if %{with xmlrpc}
# for configure check
BuildRequires:	openssl-devel
BuildRequires:	xmlrpc++-devel
%endif
Requires(post,postun):	desktop-file-utils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xCHM is a CHM viewer for UNIX, based on Jed Wing's CHMLIB and written
with wxWidgets.

%description -l pl.UTF-8
xCHM to przeglądarka plików CHM dla Uniksa, napisana w oparciu o
CHMLIB Jeda Winga, z użyciem wxWidgets.

%prep
%setup -q
%patch0 -p1

%{__rm} po/stamp-po

%build
%{__gettextize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_xmlrpc:--enable-xmlrpc} \
	WX_CONFIG_NAME=%{_bindir}/wx-gtk2-%{!?with_unicode:ansi}%{?with_unicode:unicode}-config
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pixmapsdir},%{_desktopdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install art/xchm-48.xpm	$RPM_BUILD_ROOT%{_pixmapsdir}/xchm.xpm
install %{SOURCE1}	$RPM_BUILD_ROOT%{_desktopdir}

%{__mv} $RPM_BUILD_ROOT%{_datadir}/locale/{pt_PT,pt}
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/gr

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database

%postun
%update_desktop_database_postun

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README %{?with_xmlrpc:README.xmlrpc}
%attr(755,root,root) %{_bindir}/xchm
%{_desktopdir}/xchm.desktop
%{_pixmapsdir}/xchm*.xpm
%changelog
* Mon Jan 20 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xchm.git;a=log;h=master

* Mon Jan 20 2014 Jan Rękorajski <baggins@pld-linux.org> 4a9b0e2
- release 3 (by relup.sh)

* Mon Jan 20 2014 Jan Rękorajski <baggins@pld-linux.org> df19e37
- remove non existing locale
- use macros

* Mon Jan 20 2014 Jan Rękorajski <baggins@pld-linux.org> 23f2cff
- release 2 (by relup.sh)

* Sat Jan 18 2014 Jan Rękorajski <baggins@pld-linux.org> 86e83d2
- updated to 1.23
- pl.po updated upstream
- fix build with wxWidgets 3.0

* Wed Jan 15 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 2049605
- wxWidgets rebuild
- release 2 (by relup.sh)

* Fri May 20 2011 Jakub Bogusz <qboosh@pld-linux.org> 3ebfd47
- updated to 1.20
- added pl.po-update patch

* Fri Jan 14 2011 Jakub Bogusz <qboosh@pld-linux.org> 54c8bc2
- updated to 1.18

* Wed May 27 2009 Adam Gołębiowski <adamg@pld-linux.org> cfa8dbf
- fixed upstream

* Wed May 27 2009 Adam Gołębiowski <adamg@pld-linux.org> cd9008f
- updated to 1.17

* Sun May 17 2009 witekfl <witekfl@pld-linux.org> fc9b960
- up to 1.16
- added the inttypes.patch. Before the compiler didn't find uint32_t and others.

* Wed Apr 15 2009 duddits <duddits@pld-linux.org> 06e8f08
- obsolete

* Wed Apr 15 2009 duddits <duddits@pld-linux.org> 2c2f21e
- up to 1.15
- compile.patch obsolete

* Sun Jul 13 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 15c4ea6
- added MimeType entry to desktop file
- changed group to X11/Applications
- release 2

* Sun Jul 13 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 0acbcc0
- added MimeType entry

* Sat Jan 05 2008 Szymon Siwek <sls@pld-linux.org> 95c06aa
- ver. 1.14

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> b91443d
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Mon May 14 2007 Jakub Bogusz <qboosh@pld-linux.org> ea76c58
- updated to 1.13

* Sun Apr 15 2007 Jakub Bogusz <qboosh@pld-linux.org> b270bba
- removed obsolete pl.po-update patch

* Sun Apr 15 2007 Jakub Bogusz <qboosh@pld-linux.org> fe95632
- obsolete

* Tue Apr 10 2007 twittner <twittner@pld-linux.org> 078cc4c
- up to 1.12
- pl.po.patch commented out for now - it doesn't apply and probably
  is marged into sources (according to changelog)

